import type { CacheValue, IncrementalCache, WithLastModified } from "@opennextjs/aws/types/overrides.js";
export declare const CACHE_DIR = "cdn-cgi/_next_cache";
export declare const NAME = "cf-static-assets-incremental-cache";
/**
 * This cache uses Workers static assets.
 *
 * It should only be used for applications that do NOT want revalidation and ONLY want to serve prerendered data.
 */
declare class StaticAssetsIncrementalCache implements IncrementalCache {
    readonly name = "cf-static-assets-incremental-cache";
    get<IsFetch extends boolean = false>(key: string, isFetch?: IsFetch): Promise<WithLastModified<CacheValue<IsFetch>> | null>;
    set(): Promise<void>;
    delete(): Promise<void>;
    protected getAssetUrl(key: string, isFetch?: boolean): string;
}
declare const _default: StaticAssetsIncrementalCache;
export default _default;
