import { type BuildOptions } from "@opennextjs/aws/build/helper.js";
/**
 * Bundle the Open Next server.
 */
export declare function bundleServer(buildOpts: BuildOptions): Promise<void>;
/**
 * This function applies patches required for the code to run on workers.
 */
export declare function updateWorkerBundledCode(workerOutputFile: string, buildOpts: BuildOptions): Promise<void>;
/**
 * Gets the path of the worker.js file generated by the build process
 *
 * @param buildOpts the open-next build options
 * @returns the path of the worker.js file that the build process generates
 */
export declare function getOutputWorkerPath(buildOpts: BuildOptions): string;
