import type { BuildOptions } from "@opennextjs/aws/build/helper.js";
export type WranglerTarget = "local" | "remote";
type WranglerOptions = {
    target?: WranglerTarget;
    environment?: string;
    excludeRemoteFlag?: boolean;
    logging?: "all" | "error";
};
export declare function runWrangler(options: BuildOptions, args: string[], wranglerOpts?: WranglerOptions): void;
export declare function isWranglerTarget(v: string | undefined): v is WranglerTarget;
/**
 * Find the value of the environment flag (`--env` / `-e`) used by Wrangler.
 *
 * @param args - CLI arguments.
 * @returns Value of the environment flag.
 */
export declare function getWranglerEnvironmentFlag(args: string[]): string | undefined;
export {};
